GNU bug report logs - #61263
[PATCH] gnu: dbacl: Fix failing check phase.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: danny@HIDDEN; Keywords: patch; merged with #61270; dated Sat, 4 Feb 2023 05:10:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 61263 61270. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Feb 2023 05:09:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 04 00:09:19 2023
Received: from localhost ([127.0.0.1]:40401 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pOAnd-0003hM-5k
	for submit <at> debbugs.gnu.org; Sat, 04 Feb 2023 00:09:19 -0500
Received: from lists.gnu.org ([209.51.188.17]:35730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <danny@HIDDEN>) id 1pOAnX-0003hA-59
 for submit <at> debbugs.gnu.org; Sat, 04 Feb 2023 00:09:15 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <danny@HIDDEN>) id 1pOAnW-0001C1-SB
 for guix-patches@HIDDEN; Sat, 04 Feb 2023 00:09:10 -0500
Received: from relay10.mail.gandi.net ([2001:4b98:dc4:8::230])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <danny@HIDDEN>) id 1pOAnU-0006a7-BZ
 for guix-patches@HIDDEN; Sat, 04 Feb 2023 00:09:10 -0500
Received: (Authenticated sender: outgoing@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 128D3240002;
 Sat,  4 Feb 2023 05:08:59 +0000 (UTC)
From: danny@HIDDEN
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: dbacl: Fix failing check phase.
Date: Fri,  3 Feb 2023 21:08:35 -0800
Message-Id: <2f81f17ea425ae674aedb7f92826e58c8bea4412.1675487305.git.danny@HIDDEN>
X-Mailer: git-send-email 2.39.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: none client-ip=2001:4b98:dc4:8::230;
 envelope-from=danny@HIDDEN; helo=relay10.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: Danny O'Brien <danny@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

From: Danny O'Brien <danny@HIDDEN>

* gnu/packages/textutils.scm (dbacl): New patch.
* gnu/packages/patches/dbacl-icheck-multiple-definitions.patch: New file.
---
 .../dbacl-icheck-multiple-definitions.patch   |  33 +++++
 gnu/packages/textutils.scm                    | 114 +++++++++---------
 2 files changed, 92 insertions(+), 55 deletions(-)
 create mode 100644 gnu/packages/patches/dbacl-icheck-multiple-definitions.patch

diff --git a/gnu/packages/patches/dbacl-icheck-multiple-definitions.patch b/gnu/packages/patches/dbacl-icheck-multiple-definitions.patch
new file mode 100644
index 0000000000..e82d0819bb
--- /dev/null
+++ b/gnu/packages/patches/dbacl-icheck-multiple-definitions.patch
@@ -0,0 +1,33 @@
+From f5df6813e305372e25b8a2124c491293a176e115 Mon Sep 17 00:00:00 2001
+From: Danny O'Brien <danny@HIDDEN>
+Date: Fri, 3 Feb 2023 16:48:59 -0800
+Subject: [PATCH] Fix failing build of icheck.
+
+Building icheck fails with a duplicate symbol definition 
+error. This allows the icheck executable to compile.
+
+Submitted upstream[1] but not yet moderated/accepted.
+
+[1] https://sourceforge.net/p/dbacl/discussion/239876/thread/87636b0114/
+
+---
+ src/icheck.c | 3 ---
+ 1 file changed, 3 deletions(-)
+
+diff --git a/src/icheck.c b/src/icheck.c
+index efbb6a5..12a3b7a 100644
+--- a/src/icheck.c
++++ b/src/icheck.c
+@@ -39,9 +39,6 @@ extern regex_count_t regex_count;
+ extern empirical_t empirical;
+ 
+ extern int cmd;
+-char *progname = "icheck";
+-char *inputfile = "";
+-long inputline = 0;
+ 
+ extern long system_pagesize;
+ extern void *in_iobuf;
+-- 
+2.39.1
+
diff --git a/gnu/packages/textutils.scm b/gnu/packages/textutils.scm
index 151add964e..5ead8dec96 100644
--- a/gnu/packages/textutils.scm
+++ b/gnu/packages/textutils.scm
@@ -705,59 +705,63 @@ (define-public dbacl
   (package
     (name "dbacl")
     (version "1.14.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append "mirror://sourceforge/dbacl/dbacl/" version "/"
-                           "dbacl-" version ".tar.gz"))
-       (sha256
-        (base32 "1gas0112wqjvwn9qg3hxnawk7h3prr0w9b2h68f3p1ifd1kzn3gz"))
-       (patches (search-patches "dbacl-include-locale.h.patch"))))
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "mirror://sourceforge/dbacl/dbacl/"
+                                  version
+                                  "/"
+                                  "dbacl-"
+                                  version
+                                  ".tar.gz"))
+              (sha256
+               (base32
+                "1gas0112wqjvwn9qg3hxnawk7h3prr0w9b2h68f3p1ifd1kzn3gz"))
+              (patches (search-patches "dbacl-include-locale.h.patch"
+                        "dbacl-icheck-multiple-definitions.patch"))))
     (build-system gnu-build-system)
     (arguments
-     `(#:make-flags
-       (list
-        (string-append "-I" (assoc-ref %build-inputs "slang")
-                       "/include/slang")
-        (string-append "-I" (assoc-ref %build-inputs "ncurses")
-                       "/include/ncurses"))
-       #:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'delete-sample6-and-japanese
-           (lambda _
-             (substitute* "doc/Makefile.am"
-               (("sample6.txt") "")
-               (("japanese.txt") ""))
-             (delete-file "doc/sample6.txt")
-             (delete-file "doc/japanese.txt")
-             (substitute* (list "src/tests/Makefile.am"
-                                "src/tests/Makefile.in")
-               (("dbacl-jap.shin") "")
-               (("dbacl-jap.sh") ""))
-             #t))
-         (add-after 'unpack 'delete-test
-           ;; See comments about the license.
-           (lambda _
-             (delete-file "src/tests/dbacl-jap.shin")
-             #t))
-         (add-after 'unpack 'fix-test-files
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (bin (string-append out "/bin")))
-               (substitute* (find-files "src/tests/" "\\.shin$")
-                 (("PATH=/bin:/usr/bin")
-                  "#PATH=/bin:/usr/bin")
-                 (("diff") (string-append (which "diff")))
-                 (("tr") (string-append (which "tr"))))
-               #t)))
-         (replace 'bootstrap
-           (lambda _
-             (invoke "autoreconf" "-vif")
-             #t)))))
-    (inputs
-     (list ncurses perl readline slang))
-    (native-inputs
-     (list libtool autoconf automake pkg-config))
+     `(#:make-flags (list (string-append "-I"
+                                         (assoc-ref %build-inputs "slang")
+                                         "/include/slang")
+                          (string-append "-I"
+                                         (assoc-ref %build-inputs "ncurses")
+                                         "/include/ncurses"))
+       #:phases (modify-phases %standard-phases
+                  (add-after 'unpack 'delete-sample6-and-japanese
+                    (lambda _
+                      (substitute* "doc/Makefile.am"
+                        (("sample6.txt")
+                         "")
+                        (("japanese.txt")
+                         ""))
+                      (delete-file "doc/sample6.txt")
+                      (delete-file "doc/japanese.txt")
+                      (substitute* (list "src/tests/Makefile.am"
+                                         "src/tests/Makefile.in")
+                        (("dbacl-jap.shin")
+                         "")
+                        (("dbacl-jap.sh")
+                         "")) #t))
+                  (add-after 'unpack 'delete-test
+                    ;; See comments about the license.
+                    (lambda _
+                      (delete-file "src/tests/dbacl-jap.shin") #t))
+                  (add-after 'unpack 'fix-test-files
+                    (lambda* (#:key inputs outputs #:allow-other-keys)
+                      (let* ((out (assoc-ref outputs "out"))
+                             (bin (string-append out "/bin")))
+                        (substitute* (find-files "src/tests/" "\\.shin$")
+                          (("PATH=/bin:/usr/bin")
+                           "#PATH=/bin:/usr/bin")
+                          (("diff")
+                           (string-append (which "diff")))
+                          (("tr")
+                           (string-append (which "tr")))) #t)))
+                  (replace 'bootstrap
+                    (lambda _
+                      (invoke "autoreconf" "-vif") #t)))))
+    (inputs (list ncurses perl readline slang))
+    (native-inputs (list libtool autoconf automake pkg-config))
     (home-page "https://www.lbreyer.com/dbacl.html")
     (synopsis "Bayesian text and email classifier")
     (description
@@ -768,13 +772,13 @@ (define-public dbacl
     ;; The software is licensed as GPLv3 or later, but
     ;; includes various sample texts in the doc dir:
     ;; - sample1.txt, sample3 and sampe5.txt are in the public domain,
-    ;;   by Mark Twain.
+    ;; by Mark Twain.
     ;; - sample2.txt, sample4.txt are in the public domain, by Aristotle.
     ;; - sample6.txt is a forwarded email, copyright unknown.
-    ;;   Guix does exclude sample6.txt.
+    ;; Guix does exclude sample6.txt.
     ;; - japanese.txt is a Japanese unoffical translation of the
-    ;;   GNU General Public License, (c) by the Free Software Foundation.
-    ;;   Guix excludes this file.
+    ;; GNU General Public License, (c) by the Free Software Foundation.
+    ;; Guix excludes this file.
     (license (list license:gpl3+ license:public-domain))))
 
 (define-public dotconf

base-commit: c3e50c731d8c175133cae1869e445cbb7a3b4d6f
-- 
2.39.1





Acknowledgement sent to danny@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#61263; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 Feb 2023 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.